<div *ngIf="data" class="flex justify-center container mx-auto max-w-screen-md mt-8 mb-10">
    <form [formGroup]="formGroup" (ngSubmit)="onSubmit(formGroup.value)" class="grid grid-cols-12 justify-center w-full">
        <div class="col-span-12 col-avatar flex justify-center px-4 md:px-8">
            <div class="w-full">
                <div class="flex justify-center w-full my-3">
                    <div class="edit-avatar" (click)="imageInput.click()">
                        <img class="avatar" [src]="
                                            iconUrl
                                                ? iconUrl
                                                : '/assets/image/default-avatar.png'
                                        " alt="Avatar" />
                        <div class="edit-avatar-button w-full text-center text-white pt-2">
                            <mat-icon>camera_alt</mat-icon>
                        </div>
                    </div>
                </div>
                <input type="file" (change)="imageInputChange($event)" name="image" #imageInput
                    accept="image/x-png,image/gif,image/jpeg" hidden="true" />
                <div class="w-full">
                    <mat-form-field class="w-full my-1">
                        <mat-label>Email*</mat-label>
                        <input matInput placeholder="Email" formControlName="email" />
                    </mat-form-field>

                </div>
                <div class="w-full">
                    <mat-form-field class="w-full my-1">
                        <mat-label>Tên*</mat-label>
                        <input matInput placeholder="Tên" formControlName="firstName" />
                    </mat-form-field>
                </div>
                <div class="w-full">
                    <mat-form-field class="w-full my-1">
                        <mat-label>Họ*</mat-label>
                        <input matInput placeholder="Họ" formControlName="lastName" />
                    </mat-form-field>
                </div>
                <div class="w-full">
                    <mat-form-field class="w-full my-1">
                        <mat-label>Số điện thoại*</mat-label>
                        <input matInput placeholder="Số điện thoại" formControlName="phone" />
                        <mat-error *ngIf="
                                            formGroup.hasError('minlength', 'phone') &&
                                            !formGroup.hasError('pattern', 'phone')
                                        ">
                            Số điện thoại có ít nhất 10 số
                        </mat-error>
                        <mat-error *ngIf="
                                            formGroup.hasError('maxlength', 'phone') &&
                                            !formGroup.hasError('pattern', 'phone')
                                        ">
                            Số điện thoại tối đa 15 số
                        </mat-error>
                        <mat-error *ngIf="formGroup.hasError('pattern', 'phone')">
                            Số điện thoại phải là số
                        </mat-error>
                        <mat-error *ngIf="formGroup.hasError('whitespace', 'phone')">
                            Số điện thoại phải là số
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="flex justify-center">
                    <button mat-button type="submit" class="bg-custom text-white w-1/4">
                        Lưu
                    </button>
                </div>

            </div>
        </div>
    </form>
</div>